package fr.polytech.ybene.bio.ui;

import javax.swing.*;
import java.awt.*;

public class LoadingFrame {

	// == Attributes ==
	private JProgressBar progressBar;
	private JPanel mainPanel;
	// ================

	// == Constructor ==
	public LoadingFrame() {
		progressBar.setMinimum(0);
		progressBar.setMaximum(9);
	}
	// =================

	// == Getters ==
	public JPanel getMainPanel() {
		return mainPanel;
	}
	// =============

	// == Methods ==
	public void setProgressValue(int progressValue) {
		progressBar.setValue(progressValue);
	}
	// =============

	// == Black magic ==
	{
// GUI initializer generated by IntelliJ IDEA GUI Designer
// >>> IMPORTANT!! <<<
// DO NOT EDIT OR ADD ANY CODE HERE!
		$$$setupUI$$$();
	}

	/**
	 * Method generated by IntelliJ IDEA GUI Designer >>> IMPORTANT!! <<< DO NOT
	 * edit this method OR call it in your code!
	 *
	 * @noinspection ALL
	 */
	private void $$$setupUI$$$() {
		mainPanel = new JPanel();
		mainPanel.setLayout(
				new com.intellij.uiDesigner.core.GridLayoutManager(2, 1, new Insets(20, 20, 20, 20), -1, -1));
		progressBar = new JProgressBar();
		mainPanel.add(progressBar,
				new com.intellij.uiDesigner.core.GridConstraints(1, 0, 1, 1,
						com.intellij.uiDesigner.core.GridConstraints.ANCHOR_NORTH,
						com.intellij.uiDesigner.core.GridConstraints.FILL_HORIZONTAL,
						com.intellij.uiDesigner.core.GridConstraints.SIZEPOLICY_WANT_GROW,
						com.intellij.uiDesigner.core.GridConstraints.SIZEPOLICY_FIXED, null, null, null, 0, false));
		final JLabel label1 = new JLabel();
		label1.setText("Chargement");
		mainPanel.add(label1,
				new com.intellij.uiDesigner.core.GridConstraints(0, 0, 1, 1,
						com.intellij.uiDesigner.core.GridConstraints.ANCHOR_SOUTH,
						com.intellij.uiDesigner.core.GridConstraints.FILL_NONE,
						com.intellij.uiDesigner.core.GridConstraints.SIZEPOLICY_FIXED,
						com.intellij.uiDesigner.core.GridConstraints.SIZEPOLICY_FIXED, null, null, null, 0, false));
	}

	/**
	 * @noinspection ALL
	 */
	public JComponent $$$getRootComponent$$$() {
		return mainPanel;
	}
	// =================
}
